
.filters__btn {
  border: 1px solid rgba(0, 0, 0, 0.3);
  font-size: 14px;
  line-height: 30px;
  height: 30px;
  cursor: pointer;
}

.filters__heading {
  font-size: 16px;
}

.filter__categories {
  label {
    margin-bottom: 0;
    padding-bottom: 0.5rem;
  }
  .filter__item {
    cursor: pointer;
  }
}

.filter__item {
  font-size: 13px;
  color: #2a2a2a;


  &:hover, &.active {
    color: $primary-color;
    transition: all 0.3s ease;


    .item__name {
      color: $primary-color;
      transition: all 0.3s ease;

      &::before {
        color: $primary-color;
        transition: all 0.3s ease;
      }
    }

    .rounded-circle {
      background: $primary-color;
      transition: all 0.3s ease;
    }
  }

  .rounded-circle {
    color: white;
    background: #000;
    text-align: center;
    width: 20px;
    height: 20px;
    line-height: 20px;
    vertical-align: center;
  }
}

.item__name {
  position: relative;
  padding-left: 10px;

  &::before {
    position: absolute;
    content: '>';
    color: #2a2a2a;
    left: 0;
  }
}

/*------------input checkbox------------*/

.filter-input-check-label {
  position: relative;
  padding-left: 30px;
  width: 100%;
  cursor: pointer;

  &:hover, &.active {
    color: $primary-color;
    transition: all 0.3s ease;
  }
}


.filter-input-check-label::before,
.filter-input-check-label::after {
  content: '';
  position: absolute;
  border: 1px solid white;
}

.filter-input-check-label::before {
  left: 0;
  top: 2px;
  border-radius: 3px;
  width: 15px;
  height: 15px;

}

//-------------filter-size-------------

.filter__size {
  .filter-input-check-label::before {
    border: 1px solid #474747;
  }

}

.filter-input-check-label::after {
  visibility: hidden;
  width: 7px;
  height: 10px;
  left: 4px;
  top: 2px;
  border-color: white;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}

.filter-input-check:checked + .filter-input-check-label::after {
  visibility: visible;
}

.filter-input-check {
  display: none;
}

label[for=check-red]::before, label[for=m-check-red]::before  {
  background: #fa5f66;
}

label[for=check-black]::before, label[for=m-check-black]::before {
  background: #454545;
}

label[for=check-yellow]::before, label[for=m-check-yellow]::before {
  background: #e9e600;
}

label[for=check-blue]::before, label[for=m-check-blue]::before {
  background: #0190d3;
}

label[for=check-pink]::before, label[for=m-check-pink]::before  {
  background: #f72fe4;
}

label[for=check-green]::before, label[for=m-check-green]::before {
  background: #14d400;
}

.filter__size {

  .filter__item {
    &:hover, &.active, .filter-input-check:checked {

      .filter-input-check-label::before, + .filter-input-check-label::before {
        border: none;
        background: $primary-color;
        transition: all 0.3s ease;
      }
    }
  }
}

.filter__tags {
  .filter__item {
    border: 1px solid rgba(0, 0, 0, .125);
    color: #959595;
    font-size: 14px;
    cursor: pointer;

    i {
      font-size: 12px;
      padding-right: 3px;
    }

    &:hover, &.active {
      color: $primary-color;
      border-color: $primary-color;
      transition: all 0.3s ease;
    }
  }
}

/*----------filter-price-------------*/

#amount, #m-amount {
  height: 32px;
  padding: 5px 10px;
  outline: none;
  border: 1px solid #c5c5c5;
  font-size: 14px;
  font-weight: 500;
  min-width: 95px;
  width: 100%;
  text-align: center;
}

.btn-filter {
  background: $primary-color;
  width: 65px;
  height: 32px;
  text-align: center;
  font-size: 14px;
  line-height: 32px;
  vertical-align: center;
}

.ui-widget.ui-widget-content {
  border-radius: 0;
  width: 100%;
  height: 8px;
  margin-bottom: 25px;
  overflow: visible;
}

.ui-slider-horizontal .ui-slider-range {
  background: #000;
  height: 7px;
}

.ui-slider-handle.ui-corner-all.ui-state-default {
  border: 3px solid $primary-color;
  background: white;
  border-radius: 50%;
  top: -.4em;
}

/**-----------modal-----*/

#filters-modal, #product-details {
  .filters__modal-header, .product__modal-header {
    border: none;
    padding: 0;
  }

  .close-btn-icon {
    color: white;
    background: #000 !important;
    padding: 10px 15px;
    font-size: 18px;
  }

  .filters__modal-content {
    border-radius: 0;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  #filters-modal {
    .filters__heading {
      font-size: 16px;
    }

    .filter__tags {
      font-size: 14px;
    }
  }

  .filters__modal-dialog {
    width: 70%;
  }

  .slider-range__container {
    width: 89%;
    margin: 0 auto;
  }

}

@media (min-width: 576px) and (max-width: 767px) {
  #filters-modal {
    .filters-box {
      width: 80%;
    }
  }
}

@media (min-width: 480px) and (max-width: 575px) {
  #filters-modal {
    .filters__heading {
      font-size: 16px;
    }

    .filter__tags {
      font-size: 14px;
    }

    .filters__modal-dialog {
    margin: 0 40px;
    }

    .filters-box {
      width: 80%;
    }
  }

  .slider-range__container {
    width: 89%;
    margin: 0 auto;
  }
}

@media (min-width: 320px) and (max-width: 479px) {
  #filters-modal {
    .filters__modal-dialog {
      margin: 0 auto;
    }
  }
}

